import LetterList from "@web/src/components/models/post/list/LetterList";
import { Header } from "./Header";
import { useAuth } from "@web/src/providers/auth-provider";
export default function OutboxPage() {
	const { user } = useAuth();
	return (
		// 添加 flex flex-col 使其成为弹性布局容器
		<div className="min-h-screen shadow-elegant border-2 border-white  rounded-xl overflow-hidden  bg-slate-200">
			<Header />
			{/* 添加 flex-grow 使内容区域自动填充剩余空间 */}

			<LetterList
				params={{
					where: {
						authorId: user?.id,
					},
				}}></LetterList>
		</div>
	);
}
